package com.cr.common

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/9/11 17:28
 * 描述：直播流状态模型
 */
class CrLiveStreamStateInfo(var isStreaming:Boolean = false) {
    var fps:Int = 0  // define: 2023/9/11 直播视频的帧率
    var vbps:Int = 0  // define: 2023/9/11 直播视频的码率
    var packetLoss:Int = 0  // define: 2023/9/12 直播视频的丢包率
    var packetCacheLength:Int = 0  // define: 2023/9/12 直播包缓冲队列长度
    var rtt:Int = 0  // define: 2023/9/12 返回时间延迟
    var videoWidth:Int = 0  // define: 2023/9/12 直播视频流分辨率宽度
    var videoHeight:Int = 0  // define: 2023/9/12 直播视频流分辨率高度

    /**
     * 覆写转换字符串
     * @return String
     */
    override fun toString(): String {
        return "是否直播:${this.isStreaming} 帧率:${this.fps} 码率:${this.vbps} 丢包率:${this.packetLoss} 返时延迟:${this.rtt} 视频宽:${this.videoWidth} 视频高:${this.videoHeight}"
    }
}