package com.cr.models

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/9/19 10:47
 * 描述：航线统计模型
 */
class AircraftLineCountModel {
    var waypointAllCount:Int = 0  // define: 2023/9/19 航点总数
    var waitUploadWaypointCount:Int=0  // define: 2023/9/19 等待上传的航点总数
    var yesUploadWaypointCount:Int = 0  // define: 2023/9/19 已上传航点总数
    var waypointList:MutableList<WaypointDetailModel>? = null // define: 2023/9/19 航点数据集合

    /**
     * 初始化
     */
    init {
        this.waypointList = mutableListOf()
    }

    /**
     * 添加航点统计信息
     * @param date String 日期分组
     * @param count Int 航点数量
     */
    fun appendWaypointDetailInfo(date:String,count:Int){
        var info = WaypointDetailModel(date,count)
        this.waypointList!!.add(info)
    }

    /**
     * 内部航点类
     * @property date String
     * @property count Int
     * @constructor
     */
    inner class WaypointDetailModel @JvmOverloads constructor(
        date:String = "",
        count:Int = 0
    ){
        var date:String = ""  // define: 2023/9/19 分组日期
        var count:Int = 0  // define: 2023/9/19 该日期的航点数量

        /**
         * 初始化
         */
        init {
            this.date = date
            this.count = count
        }
    }
}