package com.cr.models

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/6/13 16:19
 * 描述：返回结果
 */
class CompletionModel<T> {
    var isSuccess: Boolean = false  // define: 2023/6/13 是否成功
    var result: T? = null // define: 2023/6/13 消息内容
    var message: String = ""  // define: 2023/9/20 消息

    /**
     * 初始化
     * @param isSuccess Boolean
     * @param result String
     * @constructor
     */
    constructor(isSuccess: Boolean, result: T?) {
        this.isSuccess = isSuccess
        this.result = result
        this.message = ""
    }

    /**
     * 初始化
     * @param isSuccess Boolean
     * @param result T?
     * @param message String
     * @constructor
     */
    constructor(isSuccess: Boolean,result: T?,message:String){
        this.isSuccess = isSuccess
        this.result = result
        this.message = message
    }
}

/**
 * 完成接口调用
 */
interface ICompletion<T> {
    // todo: 2023/6/13 完成回调
    fun onCompletion(completion: CompletionModel<T>)
}